Package org.apache.storm.generated

# Class JavaObjectArg

java.lang.Object
org.apache.storm.thrift.TUnion<JavaObjectArg,JavaObjectArg._Fields>
org.apache.storm.generated.JavaObjectArg

All Implemented Interfaces:
  `Serializable`, `Comparable<JavaObjectArg>`, `org.apache.storm.thrift.TBase<JavaObjectArg,JavaObjectArg._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class JavaObjectArg extends org.apache.storm.thrift.TUnion<JavaObjectArg,JavaObjectArg._Fields>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `JavaObjectArg._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<JavaObjectArg._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

  ### Fields inherited from class org.apache.storm.thrift.TUnion

  `setField_, value_`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaObjectArg()`
  `JavaObjectArg(JavaObjectArg other)`
  `JavaObjectArg(JavaObjectArg._Fields setField, Object value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JavaObjectArg`
  `binary_arg(byte[] value)`
  `static JavaObjectArg`
  `binary_arg(ByteBuffer value)`
  `static JavaObjectArg`
  `bool_arg(boolean value)`
  `ByteBuffer`
  `buffer_for_binary_arg()`
  `protected void`
  `checkType(JavaObjectArg._Fields setField, Object value)`
  `int`
  `compareTo(JavaObjectArg other)`
  `JavaObjectArg`
  `deepCopy()`
  `static JavaObjectArg`
  `double_arg(double value)`
  `protected JavaObjectArg._Fields`
  `enumForId(short id)`
  `boolean`
  `equals(Object other)`
  `boolean`
  `equals(JavaObjectArg other)`
  `JavaObjectArg._Fields`
  `fieldForId(int fieldId)`
  `byte[]`
  `get_binary_arg()`
  `boolean`
  `get_bool_arg()`
  `double`
  `get_double_arg()`
  `int`
  `get_int_arg()`
  `long`
  `get_long_arg()`
  `String`
  `get_string_arg()`
  `protected org.apache.storm.thrift.protocol.TField`
  `getFieldDesc(JavaObjectArg._Fields setField)`
  `protected org.apache.storm.thrift.protocol.TStruct`
  `getStructDesc()`
  `int`
  `hashCode()`
  `static JavaObjectArg`
  `int_arg(int value)`
  `boolean`
  `is_set_binary_arg()`
  `boolean`
  `is_set_bool_arg()`
  `boolean`
  `is_set_double_arg()`
  `boolean`
  `is_set_int_arg()`
  `boolean`
  `is_set_long_arg()`
  `boolean`
  `is_set_string_arg()`
  `static JavaObjectArg`
  `long_arg(long value)`
  `void`
  `set_binary_arg(byte[] value)`
  `void`
  `set_binary_arg(ByteBuffer value)`
  `void`
  `set_bool_arg(boolean value)`
  `void`
  `set_double_arg(double value)`
  `void`
  `set_int_arg(int value)`
  `void`
  `set_long_arg(long value)`
  `void`
  `set_string_arg(String value)`
  `protected Object`
  `standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TField field)`
  `protected void`
  `standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`
  `static JavaObjectArg`
  `string_arg(String value)`
  `protected Object`
  `tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, short fieldID)`
  `protected void`
  `tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class org.apache.storm.thrift.TUnion

  `clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<JavaObjectArg._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### JavaObjectArg

    public JavaObjectArg()

  - ### JavaObjectArg

    public JavaObjectArg(JavaObjectArg._Fields setField, Object value)

  - ### JavaObjectArg

    public JavaObjectArg(JavaObjectArg other)

- ## Method Details

  - ### deepCopy

    public JavaObjectArg deepCopy()

  - ### int_arg

    public static JavaObjectArg int_arg(int value)

  - ### long_arg

    public static JavaObjectArg long_arg(long value)

  - ### string_arg

    public static JavaObjectArg string_arg(String value)

  - ### bool_arg

    public static JavaObjectArg bool_arg(boolean value)

  - ### binary_arg

    public static JavaObjectArg binary_arg(ByteBuffer value)

  - ### binary_arg

    public static JavaObjectArg binary_arg(byte[] value)

  - ### double_arg

    public static JavaObjectArg double_arg(double value)

  - ### checkType

    protected void checkType(JavaObjectArg._Fields setField, Object value) throws ClassCastException
    Specified by:
      `checkType` in class `org.apache.storm.thrift.TUnion<JavaObjectArg,JavaObjectArg._Fields>`
    Throws:
      `ClassCastException`

  - ### standardSchemeReadValue

    protected Object standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TField field) throws org.apache.storm.thrift.TException
    Specified by:
      `standardSchemeReadValue` in class `org.apache.storm.thrift.TUnion<JavaObjectArg,JavaObjectArg._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### standardSchemeWriteValue

    protected void standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `standardSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<JavaObjectArg,JavaObjectArg._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### tupleSchemeReadValue

    protected Object tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, short fieldID) throws org.apache.storm.thrift.TException
    Specified by:
      `tupleSchemeReadValue` in class `org.apache.storm.thrift.TUnion<JavaObjectArg,JavaObjectArg._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### tupleSchemeWriteValue

    protected void tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `tupleSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<JavaObjectArg,JavaObjectArg._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getFieldDesc

    protected org.apache.storm.thrift.protocol.TField getFieldDesc(JavaObjectArg._Fields setField)
    Specified by:
      `getFieldDesc` in class `org.apache.storm.thrift.TUnion<JavaObjectArg,JavaObjectArg._Fields>`

  - ### getStructDesc

    protected org.apache.storm.thrift.protocol.TStruct getStructDesc()
    Specified by:
      `getStructDesc` in class `org.apache.storm.thrift.TUnion<JavaObjectArg,JavaObjectArg._Fields>`

  - ### enumForId

    protected JavaObjectArg._Fields enumForId(short id)
    Specified by:
      `enumForId` in class `org.apache.storm.thrift.TUnion<JavaObjectArg,JavaObjectArg._Fields>`

  - ### fieldForId

    public JavaObjectArg._Fields fieldForId(int fieldId)

  - ### get_int_arg

    public int get_int_arg()

  - ### set_int_arg

    public void set_int_arg(int value)

  - ### get_long_arg

    public long get_long_arg()

  - ### set_long_arg

    public void set_long_arg(long value)

  - ### get_string_arg

    public String get_string_arg()

  - ### set_string_arg

    public void set_string_arg(String value)

  - ### get_bool_arg

    public boolean get_bool_arg()

  - ### set_bool_arg

    public void set_bool_arg(boolean value)

  - ### get_binary_arg

    public byte[] get_binary_arg()

  - ### buffer_for_binary_arg

    public ByteBuffer buffer_for_binary_arg()

  - ### set_binary_arg

    public void set_binary_arg(byte[] value)

  - ### set_binary_arg

    public void set_binary_arg(ByteBuffer value)

  - ### get_double_arg

    public double get_double_arg()

  - ### set_double_arg

    public void set_double_arg(double value)

  - ### is_set_int_arg

    public boolean is_set_int_arg()

  - ### is_set_long_arg

    public boolean is_set_long_arg()

  - ### is_set_string_arg

    public boolean is_set_string_arg()

  - ### is_set_bool_arg

    public boolean is_set_bool_arg()

  - ### is_set_binary_arg

    public boolean is_set_binary_arg()

  - ### is_set_double_arg

    public boolean is_set_double_arg()

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(JavaObjectArg other)

  - ### compareTo

    public int compareTo(JavaObjectArg other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`